Skip to main content
DELETE
/
api
/
profiles
/
{user_id}
Delete User
curl --request DELETE \
  --url https://api.example.com/api/profiles/{user_id} \
  --header 'Authorization: <authorization>'

Authentication

Authorization
string
required
Bearer token: Bearer <admin_token>
This endpoint requires admin privileges.

Path Parameters

user_id
string
required
The user’s profile ID (UUID)

Example Request

curl -X DELETE https://api.sari-platform.com/api/profiles/550e8400-e29b-41d4-a716-446655440000 \
  -H "Authorization: Bearer <admin_token>"

Response

{
  "message": "User deleted successfully"
}

What Happens

  1. Profile Deleted - User profile removed from database
  2. Access Revoked - All collection access grants removed (cascade)
  3. Firebase Mapping - Firebase UID mapping removed
This action is irreversible. The user will need to register again.

Errors

StatusDescription
401Invalid or expired token
403Admin access required
404User not found